import React from 'react'
import Stack from '@mui/material/Stack'
import Paper from '@mui/material/Paper'
import Box from '@mui/material/Box'
import { styled } from '@mui/material/styles'
import { FDO_MANAGER_WEBUI_VERSION } from '../../src/constants'

import { useOne } from '@refinedev/core'

const Item = styled(Paper)(({ theme }) => ({
  backgroundColor: theme.palette.mode === 'dark' ? '#1A2027' : '#fff',
  ...theme.typography.body2,
  padding: theme.spacing(1),
  textAlign: 'left',
  color: theme.palette.text.secondary
}))

const Info = () => {
  const { data, isLoading } = useOne({ resource: 'info', id: undefined })

  if (isLoading) return <div>Loading...</div>

  return (
    <Box>
    <Stack>
      <Item>FDO Manager WebUI Version: {FDO_MANAGER_WEBUI_VERSION}</Item>
      <Item>FDO Manager Service Version: {data?.data?.fdoServiceVersion}</Item>
      <Item>FDO Manager SDK Version: {data?.data?.fdoSdkVersion}</Item>
    </Stack>
    </Box>
  )
}

export default Info
